<?php
/**
 * @ H2N Link Directory 1.0.0 admin.config.php
 * @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
 * @
 * @ Link Directory 1.1 admin.config.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @
 * @ $Id: admin.config.php,v 1.12 2008/05/03 22:46:24 harry Exp $
 * @
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function Config() {
	global $mosConfig_absolute_path, $ld, $database;
	$tabs = new mosTabs(0);
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminheading">
	<tr>
		<th><?php echo _LD_CONFIG;?></th>
	</tr>
	<tr>
		<td valign="top" align="right"><?php echo _LD_CONFIGFILE;?> : <?php
		if (@file_exists($mosConfig_absolute_path.'/administrator/components/com_linkdirectory/config.php') &&  @is_writable( $mosConfig_absolute_path.'/administrator/components/com_linkdirectory/config.php' )){
			echo '<b><font color="green">'._LD_WRITEABLE.'</font></b>';
		} else {
			echo '<b><font color="red">'._LD_UNWRITEABLE.'</font></b>';
		} ?></td>
	</tr>
</table>
<form action="index2.php" method="post" name="adminForm"><?php
$tabs->startPane("configPane");
$tabs->startTab(_LD_GENERAL,"general-page");
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_GEN_SETTINGS;?></th>
	</tr>
	<!-- Column selection-->
	<tr>
		<td align="left" width="30%"><strong><? echo _LD_TCOLUMN;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$sayi = array();
		$sayi[] = mosHTML::makeOption( '2', '2 '. _LD_COL );
		$sayi[] = mosHTML::makeOption( '3', '3 '. _LD_COL );
		$sayi[] = mosHTML::makeOption( '4', '4 '. _LD_COL );
		$bolsayi = mosHTML::selectList( $sayi, 'column', 'class="inputbox" size="1"', 'value', 'text', $ld->column );
		echo $bolsayi;
		?></td>
		<td align="left" valign="top"><?php echo _LD_TCOLDESC;?></td>
	</tr>
	<!-- Column selection-->


	<!-- Total link selection -->
	<tr>
		<td align="left"><strong><?php echo _LD_MTLINK;?></strong></td>
		<td align="left" valign="top"><?php
		$totlink = mosHTML::yesnoRadioList( 'tlink', 'class="inputbox"', $ld->tlink );
		echo $totlink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_MTLINKDESC;?></td>
	</tr>
	<!-- Total link selection -->

	<!-- Total link subcats selection -->
	<tr>
		<td align="left"><strong><?php echo _LD_STLINK;?></strong></td>
		<td align="left" valign="top"><?php
		$subtotlink = mosHTML::yesnoRadioList( 'tslink', 'class="inputbox"', $ld->tslink );
		echo $subtotlink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_STLINKDESC;?></td>
	</tr>
	<!-- Total link subcats selection -->

	<!-- Sub category limit -->
	<tr>
		<td align="left"><strong><?php echo _LD_SUBCATLIMIT;?></strong></td>
		<td align="left" valign="top"><input type="text" size="2"
			name="sublimit" value="<?php echo $ld->sublimit;?>" maxlength="1" />
		</td>
		<td align="left" valign="top"><?php echo _LD_SUBCATDESC;?></td>
	</tr>
	<!-- Sub category limit -->

	<!-- Search Engine -->
	<tr>
		<td align="left"><strong><?php echo _LD_SEARCHENGINE;?></strong></td>
		<td align="left" valign="top"><?php
		$searchengine = mosHTML::yesnoRadioList( 'sengine', 'class="inputbox"', $ld->sengine );
		echo $searchengine;
		?></td>
		<td align="left" valign="top"><?php echo _LD_SENGINEDESC;?></td>
	</tr>
	<!-- Search Engine -->
	<?php
	if ($ld->sengine) {
		?>
	<!-- Advanced Search Engine  
<tr>
<td align="left"><strong><?php echo _LD_ADVSEARCH;?></strong></td>
      <td align="left" valign="top">
      <?php
     	$advs = mosHTML::yesnoRadioList( 'advsearch', 'class="inputbox"', $ld->advsearch );
        echo $advs;
      ?>
      </td>
      <td align="left" valign="top"><?php echo _LD_ADVSENGINEDESC;?></td>
    </tr>
Advanced Search Engine -->
      <?php } ?>

	<!-- Dynamic Page Titles -->
	<tr>
		<td align="left"><strong><?php echo _LD_DYNAPAGE;?></strong></td>
		<td align="left" valign="top"><?php
		$dpages = mosHTML::yesnoRadioList( 'dpage', 'class="inputbox"', $ld->dpage );
		echo $dpages;
		?></td>
		<td align="left" valign="top"><?php echo _LD_DYNAPAGEDESC;?></td>
	</tr>
	<!-- Dynamic Page Titles -->
	
	<!-- Check Input with JavaScript -->
	<tr>
		<td align="left"><strong><?php echo _LD_JAVASCRIPT_CHECKS;?></strong></td>
		<td align="left" valign="top"><?php
		$javascriptchecks = mosHTML::yesnoRadioList( 'javascriptchecks', 'class="inputbox"', $ld->javascriptchecks );
		echo $javascriptchecks;
		?></td>
		<td align="left" valign="top"><?php echo _LD_JAVASCRIPT_CHECKS_DESC;?></td>
	</tr>
	<!-- Dynamic Page Titles -->

	<!-- Security Image Selection -->
	<tr>
		<td align="left"><strong><?php echo _LD_SEC_IMAGE;?></strong></td>
		<td align="left" valign="top"><?php

		$capcha = array();
		$capcha[] = mosHTML::makeOption( 'none', 'none' );
		if (@file_exists($mosConfig_absolute_path."/administrator/components/com_securityimages/config.securityimages.php")){
			$capcha[] = mosHTML::makeOption( 'securityimages', 'Security Images' );
		}
		if(file_exists($mosConfig_absolute_path.'/components/com_easycaptcha/class.easycaptcha.php')) {
			$capcha[] = mosHTML::makeOption( 'easycaptcha', 'Easy Captcha' );
		}
		$capchalist = mosHTML::selectList( $capcha, 'securityimage', 'class="inputbox" size="1"', 'value', 'text', $ld->securityimage );
		echo $capchalist;
		?></td>
		<td align="left" valign="top"><?php echo _LD_SEC_IMAGE_DESC;?></td>
	</tr>
	<!-- Security Image Selection -->

	<!-- CSS File Selection -->
	<tr>
		<td align="left"><strong><?php echo _LD_SEL_TEMPLATE;?></strong> <a
			href="#"
			onclick="window.open('index3.php?option=com_linkdirectory&amp;task=editcss&amp;template=<?php echo $ld->template;?>', 'win1', 'status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=700,height=500,directories=no,location=no');"><strong><small><?php echo _LD_EDIT_TEMP;?></small></strong></a>
		</td>
		<td align="left" valign="top"><?php
		require_once( $mosConfig_absolute_path .'/includes/domit/xml_domit_lite_include.php' );

		$templateBaseDir = mosPathName( $mosConfig_absolute_path . '/components/com_linkdirectory/templates' );
		$templateDirs = mosReadDirectory($templateBaseDir);

		// Check that the directory contains an xml file
		foreach($templateDirs as $templateDir) {
			$dirName = mosPathName($templateBaseDir . $templateDir);
			$xmlFilesInDir = mosReadDirectory($dirName,'.xml$');

			foreach($xmlFilesInDir as $xmlfile) {
				// Read the file to see if it's a valid template XML file
				$xmlDoc = new DOMIT_Lite_Document();
				$xmlDoc->resolveErrors( true );
				if (!$xmlDoc->loadXML( $dirName . $xmlfile, false, true )) {
					continue;
				}

				$root = &$xmlDoc->documentElement;
				if ($root->getTagName() != 'ldinstall') {
					continue;
				}
				if ($root->getAttribute( 'type' ) != 'template') {
					continue;
				}

				$row = new StdClass();
				/*
				 $row->id 		= $rowid;
				 $row->directory = $templateDir;
				 */
				$element 		= &$root->getElementsByPath('name', 1 );
				$row->name 		= $element->getText();
				/*
				 $element 		= &$root->getElementsByPath('creationDate', 1);
				 $row->creationdate = $element ? $element->getText() : 'Unknown';

				 $element 		= &$root->getElementsByPath('author', 1);
				 $row->author 	= $element ? $element->getText() : 'Unknown';

				 $element 		= &$root->getElementsByPath('copyright', 1);
				 $row->copyright = $element ? $element->getText() : '';

				 $element 		= &$root->getElementsByPath('authorEmail', 1);
				 $row->authorEmail = $element ? $element->getText() : '';

				 $element 		= &$root->getElementsByPath('authorUrl', 1);
				 $row->authorUrl = $element ? $element->getText() : '';

				 $element 		= &$root->getElementsByPath('version', 1);
				 $row->version 	= $element ? $element->getText() : '';
				 */
				$cssfile[] = mosHTML::makeOption( $row->name, $row->name);
			}
		}



		$cssf = mosHTML::selectList( $cssfile, 'template', 'class="inputbox" size="1"', 'value', 'text', $ld->template );
		echo $cssf;

		?></td>
		<td align="left" valign="top"><?php echo _LD_TEMPDESC;?></td>
	</tr>
	<!-- CSS File Selection -->

	<!-- HTML Editor Selection
<tr>
<td align="left"><strong>WYSIWYG Editor</strong></td>
      <td align="left" valign="top">
       <?php
     	$editor = mosHTML::yesnoRadioList( 'ldeditor', 'class="inputbox"', $ld->ldeditor );
        echo $editor;
      ?>
      </td>
      <td align="left" valign="top">Use WYSIWYG Editor in the Component?</td>
    </tr>
HTML Editor Selection -->
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
      <?php
      $tabs->endTab();
      $tabs->startTab(_LD_CATS,"cat-page");
      ?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_CAT_SETTINGS;?></th>
	</tr>

	<!-- Catimage selection-->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_CATIMG;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$showimage = mosHTML::yesnoRadioList( 'catimage', 'class="inputbox"', $ld->catimage );
		echo $showimage;
		?></td>
		<td align="left" valign="top"><?php echo _LD_CATIMGDESC;?></td>
	</tr>
	<!-- Catimage selection-->

	<!-- Cat description selection -->
	<tr>
		<td align="left"><strong><?php echo _LD_CATDESC;?></strong></td>
		<td align="left" valign="top"><?php
		$showdesc = mosHTML::yesnoRadioList( 'catdesc', 'class="inputbox"', $ld->catdesc );
		echo $showdesc;
		?></td>
		<td align="left" valign="top"><?php echo _LD_CATDESCDESC;?></td>
	</tr>
	<!-- Cat description selection -->

	<!-- Cat suggest -->
	<tr>
		<td align="left"><strong><?php echo _LD_CATSUGGEST;?></strong></td>
		<td align="left" valign="top"><?php
		$catsuggest = mosHTML::yesnoRadioList( 'scat', 'class="inputbox"', $ld->scat );
		echo $catsuggest;
		?></td>
		<td align="left" valign="top"><?php echo _LD_CATSUGDESC;?></td>
	</tr>
	<!-- Cat suggest -->

	<!-- Category ordering -->
	<tr>
		<td align="left"><strong><?php echo _LD_CAT_ORDER;?></strong></td>
		<td align="left" valign="top"><?php
		$catorder = array();
		$catorder[] = mosHTML::makeOption( 'ordering', _LD_CATORDER_DEF);
		$catorder[] = mosHTML::makeOption( 'id ASC', _LD_CATORDER_IDASC);
		$catorder[] = mosHTML::makeOption( 'id DESC', _LD_CATORDER_IDDESC);
		$catorder[] = mosHTML::makeOption( 'name ASC', _LD_CATORDER_NAMEASC);
		$catorder[] = mosHTML::makeOption( 'name DESC', _LD_CATORDER_NAMEDESC);
		$cordering = mosHTML::selectList( $catorder, 'catorder', 'class="inputbox" size="1"', 'value', 'text', $ld->catorder );
		echo $cordering;
		?></td>
		<td align="left" valign="top"><?php echo _LD_CAT_ORDER_DESC;?></td>
	</tr>
	<!-- Category ordering -->
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>

		<?php
		$tabs->endTab();
		$tabs->startTab(_LD_WEBLINKS,"link-page");
		?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_WEBLINK_SETTINGS;?></th>
	</tr>
	<!-- Add Link -->
	<tr>
		<td align="left"><strong><?php echo _LD_GADDLINK;?></strong></td>
		<td align="left" valign="top"><?php
		$addlink = array();
		$addlink[] = mosHTML::makeOption( '10', '- Select Group -');
		//Everyone
		$addlink[] = mosHTML::makeOption( '0', '- General -');
		$addlink[] = mosHTML::makeOption( '10', 'No User Access');
		//Frontend
		$addlink[] = mosHTML::makeOption( '1', 'Registered');
		$addlink[] = mosHTML::makeOption( '2', 'Author');
		$addlink[] = mosHTML::makeOption( '3', 'Editor');
		$addlink[] = mosHTML::makeOption( '4', 'Publisher');
		//Backend
		$addlink[] = mosHTML::makeOption( '5', 'Manager');
		$addlink[] = mosHTML::makeOption( '6', 'Administrator');
		$addlink[] = mosHTML::makeOption( '7', 'Super Administrator');
			
		$alink = mosHTML::selectList( $addlink, 'allowadd', 'class="inputbox" size="1"', 'value', 'text', $ld->allowadd );
		echo $alink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_GADDLINKDESC;?></td>
	</tr>
	<!-- Add Link -->

	<!-- Edit Link -->
	<tr>
		<td align="left"><strong><?php echo _LD_GEDITLINK;?></strong></td>
		<td align="left" valign="top"><?php
		$editlink = array();
		$editlink[] = mosHTML::makeOption( '10', '- Select Group -');
		//Frontend
		$editlink[] = mosHTML::makeOption( '2', 'Author');
		$editlink[] = mosHTML::makeOption( '3', 'Editor');
		$editlink[] = mosHTML::makeOption( '4', 'Publisher');
		//Backend
		$editlink[] = mosHTML::makeOption( '5', 'Manager');
		$editlink[] = mosHTML::makeOption( '6', 'Administrator');
		$editlink[] = mosHTML::makeOption( '7', 'Super Administrator');

		$elink = mosHTML::selectList( $editlink, 'allowedit', 'class="inputbox" size="1" disabled="disabled"', 'value', 'text', $ld->allowedit );
		echo $elink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_GEDITLINKDESC;?></td>
	</tr>
	<!-- Edit Link -->
	<!-- Link limit -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_LINKLIMIT;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="3"
			name="limitlink" value="<?php echo $ld->limitlink;?>" maxlength="2" />
		</td>
		<td align="left" valign="top"><?php echo _LD_LINKLIMITDESC;?></td>
	</tr>
	<!-- Link limit -->

	<!-- Link ordering -->
	<tr>
		<td align="left"><strong><?php echo _LD_LINK_ORDER;?></strong></td>
		<td align="left" valign="top"><?php
		$linkorder = array();
		$linkorder[] = mosHTML::makeOption( 'ordering', _LD_CATORDER_DEF);
		$linkorder[] = mosHTML::makeOption( 'id ASC', _LD_CATORDER_IDASC);
		$linkorder[] = mosHTML::makeOption( 'id DESC', _LD_CATORDER_IDDESC);
		$linkorder[] = mosHTML::makeOption( 'title ASC', _LD_ORDERTITLEASC);
		$linkorder[] = mosHTML::makeOption( 'title DESC', _LD_ORDERTITLEDESC);
		$linkorder[] = mosHTML::makeOption( 'hits ASC', _LD_ORDERHITASC);
		$linkorder[] = mosHTML::makeOption( 'hits DESC', _LD_ORDERHITDESC);
		$linkorder[] = mosHTML::makeOption( 'created ASC', _LD_ORDERDATEASC);
		$linkorder[] = mosHTML::makeOption( 'created DESC', _LD_ORDERDATEDESC);
		if ($ld->ratelink) {
			$linkorder[] = mosHTML::makeOption( 'rating ASC', _LD_ORDERRATEASC);
			$linkorder[] = mosHTML::makeOption( 'rating DESC', _LD_ORDERRATEDESC);
		}
		$lordering = mosHTML::selectList( $linkorder, 'linkorder', 'class="inputbox" size="1"', 'value', 'text', $ld->linkorder );
		echo $lordering;
		?></td>
		<td align="left" valign="top"><?php echo _LD_WEBLINK_ORDER_DESC;?></td>
	</tr>
	<!-- Link ordering -->

	<!-- Link Display -->
	<tr>
		<td align="left"><strong><?php echo _LD_LINKDISPLAY;?></strong></td>
		<td align="left" valign="top"><?php
		$ldisplay = array();
		$ldisplay[] = mosHTML::makeOption( '0', _LD_WEBLINKSTYLE);
		$ldisplay[] = mosHTML::makeOption( '1', _LD_DIRECTURL);
		$ldis = mosHTML::selectList( $ldisplay, 'ldisplay', 'class="inputbox" size="1"', 'value', 'text', $ld->ldisplay );
		echo $ldis;
		?></td>
		<td align="left" valign="top"><?php echo _LD_LINKDISPLAYDESC;?></td>
	</tr>
	<!-- Link Display -->

	<!-- Link Rating System -->
	<tr>
		<td align="left"><strong><?php echo _LD_RATESYSTEM;?></strong></td>
		<td align="left" valign="top"><?php
		$rlink = mosHTML::yesnoRadioList( 'ratelink', 'class="inputbox"', $ld->ratelink );
		echo $rlink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_RATESYSTEMDESC;?></td>
	</tr>
	<!-- Link Rating System -->


	<!-- Show Fast Link -->
	<tr>
		<td align="left"><strong><?php echo _LD_SHOWFASTLINK;?></strong></td>
		<td align="left" valign="top"><?php
		$rlink = mosHTML::yesnoRadioList( 'showfastlink', 'class="inputbox"', $ld->showfastlink );
		echo $rlink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_SHOWFASTLINKDESC;?></td>
	</tr>
	<!-- Show Fast Link -->

	<!-- Show Hits -->
	<tr>
		<td align="left"><strong><?php echo _LD_SHOWHITS;?></strong></td>
		<td align="left" valign="top"><?php
		$rlink = mosHTML::yesnoRadioList( 'showhits', 'class="inputbox"', $ld->showhits );
		echo $rlink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_SHOWHITSDESC;?></td>
	</tr>
	<!-- Show Hits -->

	<!-- Link Comment System -->
	<tr>
		<td align="left"><strong><?php echo _LD_COMMENTSYSTEM;?></strong></td>
		<td align="left" valign="top"><?php
		$clink = mosHTML::yesnoRadioList( 'commentlink', 'class="inputbox"', $ld->commentlink );
		echo $clink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_COMMENTSYSTEMDESC;?></td>
	</tr>
	<!-- Link Comment System -->

	<!-- Report Bad Link -->
	<tr>
		<td align="left"><strong><?php echo _LD_REPORTSYSTEM;?></strong></td>
		<td align="left" valign="top"><?php
		$blink = mosHTML::yesnoRadioList( 'badlink', 'class="inputbox" disabled="disabled"', $ld->badlink );
		echo $blink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_REPORTSYSTEMDESC;?></td>
	</tr>
	<!-- Report Bad Link -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>


		<?php
		$tabs->endTab();
		$tabs->startTab(_LD_INTEGRATE,'int-page');
		?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_INTEGRATEDESC;?></th>
	</tr>

	<!-- Component Integration -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_COMP_INT;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$compint = array();
		$compint[] = mosHTML::makeOption( 'jm', _LD_JOOM);
		$compint[] = mosHTML::makeOption( 'cb', _LD_CB);

		$int = mosHTML::selectList( $compint, 'integration', 'class="inputbox" size="1"', 'value', 'text', $ld->integration );
		echo $int;
		?></td>
		<td align="left" valign="top"><?php echo _LD_INTDESC;?></td>
	</tr>
	<!-- Component Integration -->
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
		<?php
		$tabs->endTab();
		if ($ld->commentlink > 0) {
			$tabs->startTab(_LD_COMMENTS,'comment-page');
			?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_COMMENT_SETTINGS;?></th>
	</tr>
	<!-- Write Comment Only Once -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_WRITECOM_ONCE;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$writeo = mosHTML::yesnoRadioList( 'writeonce', 'class="inputbox"', $ld->writeonce );
		echo $writeo;
		?></td>
		<td align="left" valign="top"><?php echo _LD_WRITECOM_ONCEDESC;?></td>
	</tr>
	<!-- Write Comment Only Once -->

	<!-- Auto publish comment -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_COM_AUTOPUB;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$autopub = mosHTML::yesnoRadioList( 'autopbcomment', 'class="inputbox"', $ld->autopbcomment );
		echo $autopub;
		?></td>
		<td align="left" valign="top"><?php echo _LD_COM_AUTOPUBDESC;?></td>
	</tr>
	<!-- Auto publish Comment -->

	<!-- Guest write comment -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_COM_GUEST;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$gaddc = mosHTML::yesnoRadioList( 'gaddcom', 'class="inputbox"', $ld->gaddcom );
		echo $gaddc;
		?></td>
		<td align="left" valign="top"><?php echo _LD_COM_GUESTDESC;?></td>
	</tr>
	<!-- Guest write comment -->

	<!-- Comment limit -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_COM_LIMIT;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="3"
			name="limitcomment" value="<?php echo $ld->limitcomment;?>"
			maxlength="2" /></td>
		<td align="left" valign="top"><?php echo _LD_COM_LIMITDESC;?></td>
	</tr>
	<!-- Comment limit -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
		<?php
		$tabs->endTab();
}
if ($ld->ratelink > 0) {
	$tabs->startTab(_LD_RATING,'rating-page');
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_RATING_SETTINGS;?></th>
	</tr>

	<!-- Rate Once -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_RATE_ONCE;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$rateon = mosHTML::yesnoRadioList( 'rateonce', 'class="inputbox"', $ld->rateonce );
		echo $rateon;
		?></td>
		<td align="left" valign="top"><?php echo _LD_RATE_ONCEDESC;?></td>
	</tr>
	<!-- Rate Once -->

	<!-- Guest add rating -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_GUEST_RATE;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$gaddr = mosHTML::yesnoRadioList( 'gaddrate', 'class="inputbox"', $ld->gaddrate );
		echo $gaddr;
		?></td>
		<td align="left" valign="top"><?php echo _LD_GUEST_RATEDESC;?></td>
	</tr>
	<!-- Guest add rating -->

	<!-- View rating -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_VIEW_RATE;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="3"
			name="minrate" value="<?php echo $ld->minrate;?>" maxlength="2" /></td>
		<td align="left" valign="top"><?php echo _LD_VIEW_RATEDESC;?></td>
	</tr>
	<!-- Guest add rating -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
		<?php
		$tabs->endTab();
}
if ($ld->badlink > 0) {
	$tabs->startTab(_LD_REPORT,'report-page');
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_REPORT_SETTINGS;?></th>
	</tr>

	<!-- Report Email -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_REPORT_EMAIL;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$reporte = mosHTML::yesnoRadioList( 'reportemail', 'class="inputbox"', $ld->reportemail );
		echo $reporte;
		?></td>
		<td align="left" valign="top"><?php echo _LD_REPORT_EMAILDESC;?></td>
	</tr>
	<!-- Report Email -->

	<!-- Spesific Email -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_REPORT_OTHER;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="30"
			name="semail" value="<?php echo $ld->semail;?>" /></td>
		<td align="left" valign="top"><?php echo _LD_REPORT_OTHERDESC;?></td>
	</tr>
	<!-- Spesific Email -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
		<?php
		$tabs->endTab();
}
$tabs->endPane();
?> <input type="hidden" name="option" value="com_linkdirectory" /> <input
	type="hidden" name="task" value="saveconfig" /> <input type="hidden"
	name="boxchecked" value="0" /></form>
<?php

}

function SaveConfig() {
	$integration = mosGetParam($_POST, 'integration', 'jm');
	$column = intval(mosGetParam($_POST, 'column', 2));
	$catimage = intval(mosGetParam($_POST, 'catimage', 1));
	$catdesc = intval(mosGetParam($_POST, 'catdesc', 1));
	$tlink = intval(mosGetParam($_POST, 'tlink', 1));
	$tslink = intval(mosGetParam($_POST, 'tslink', 0));
	$sublimit = intval(mosGetParam($_POST, 'sublimit', 3));
	$template = mosGetParam($_POST, 'template', 'default');
	$dpage = intval(mosGetParam($_POST, 'dpage', 1));
	$javascriptchecks = intval(mosGetParam($_POST, 'javascriptchecks', 1));
	$limitlink = intval(mosGetParam($_POST, 'limitlink', 10 ));
	$limitcomment = intval(mosGetParam($_POST, 'limitcomment', 10 ));
	$sengine = intval(mosGetParam($_POST, 'sengine', 0));
	$advsearch = intval(mosGetParam($_POST, 'advsearch', 0 ));
	$allowadd = intval(mosGetParam($_POST, 'allowadd', 10));
	$allowedit = intval(mosGetParam($_POST, 'allowedit', 10));
	$linkorder = mosGetParam($_POST, 'linkorder', 'id ASC');
	$catorder = mosGetParam($_POST, 'catorder', 'name ASC');
	$scat = intval(mosGetParam($_POST, 'scat', 1));
	$ratelink = intval(mosGetParam($_POST, 'ratelink', 1));
	$showfastlink = intval(mosGetParam($_POST, 'showfastlink', 0));
	$showhits = intval(mosGetParam($_POST, 'showhits', 1));
	$commentlink = intval(mosGetParam($_POST, 'commentlink', 1));
	$badlink = intval(mosGetParam($_POST, 'badlink', 0));
	$ldisplay = intval(mosGetParam($_POST, 'ldisplay', 0));
	$ldeditor = mosGetParam($_POST, 'ldeditor', '');
	$securityimage = intval(mosGetParam($_POST, 'securityimage', 0));
	$autopbcomment = intval(mosGetParam($_POST, 'autopbcomment', 0 ));
	$gaddcom = intval(mosGetParam($_POST, 'gaddcom', 0 ));
	$gaddrate = intval(mosGetParam($_POST, 'gaddrate', 0 ));
	$rateonce = intval(mosGetParam($_POST, 'rateonce', 1 ));
	$minrate = intval(mosGetParam($_POST, 'minrate', 5 ));
	$writeonce = intval(mosGetParam($_POST, 'writeonce', 1 ));
	$reportemail = intval(mosGetParam($_POST, 'reportemail', 0 ));
	$semail = mosGetParam($_POST, 'semail' ,'' );

	$configfile = 'components/com_linkdirectory/config.php';

	@chmod ($configfile, 0766);
	$permission = is_writable($configfile);

	$config  = "<?php\n";
	$config .= "/**\n";
	$config .= "* @ H2N Link Directory 1.0.0 admin.config.php
* @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
* @ 
* @ Link Directory 1.1 config.php\n";
	$config .= "* @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com\n";
	$config .= "* @ All rights reserved\n";
	$config .= "* @ Link Directory Component is Free Software\n";
	$config .= "* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html\n";
	$config .= "**/\n";
	$config .= "// no direct access\n";
	$config .= "defined( '_VALID_MOS' ) or die( 'Restricted access' );\n";

	$config .= "\$ld->autopbcomment = \"$autopbcomment\";\n";
	$config .= "\$ld->gaddcom = \"$gaddcom\";\n";
	$config .= "\$ld->gaddrate = \"$gaddrate\";\n";
	$config .= "\$ld->rateonce = \"$rateonce\";\n";
	$config .= "\$ld->writeonce = \"$writeonce\";\n";
	$config .= "\$ld->minrate = \"$minrate\";\n";

	$config .= "\$ld->reportemail = \"$reportemail\";\n";
	$config .= "\$ld->semail = \"$semail\";\n";

	$config .= "\$ld->column = \"$column\";\n";
	$config .= "\$ld->integration = \"$integration\";\n";
	$config .= "\$ld->catimage = \"$catimage\";\n";
	$config .= "\$ld->catdesc = \"$catdesc\";\n";
	$config .= "\$ld->tlink = \"$tlink\";\n";
	$config .= "\$ld->tslink = \"$tslink\";\n";
	$config .= "\$ld->sublimit = \"$sublimit\";\n";
	$config .= "\$ld->template = \"$template\";\n";
	$config .= "\$ld->dpage = \"$dpage\";\n";
	$config .= "\$ld->javascriptchecks = \"$javascriptchecks\";\n";
	$config .= "\$ld->limitlink = \"$limitlink\";\n";
	$config .= "\$ld->limitcomment = \"$limitcomment\";\n";
	$config .= "\$ld->sengine = \"$sengine\";\n";
	$config .= "\$ld->advsearch = \"$advsearch\";\n";
	$config .= "\$ld->allowadd = \"$allowadd\";\n";
	$config .= "\$ld->allowedit = \"$allowedit\";\n";
	$config .= "\$ld->linkorder = \"$linkorder\";\n";
	$config .= "\$ld->catorder = \"$catorder\";\n";
	$config .= "\$ld->scat = \"$scat\";\n";
	$config .= "\$ld->ldisplay = \"$ldisplay\";\n";
	$config .= "\$ld->ratelink = \"$ratelink\";\n";
	$config .= "\$ld->showfastlink = \"$showfastlink\";\n";
	$config .= "\$ld->showhits  = \"$showhits\";\n";
	$config .= "\$ld->commentlink = \"$commentlink\";\n";
	$config .= "\$ld->badlink = \"$badlink\";\n";
	$config .= "\$ld->ldeditor = \"$ldeditor\";\n";
	$config .= "\$ld->securityimage = \"$securityimage\";\n";
	$config .= "\$ld->securityimage4 = \"1\";\n";
	$config .= "?>";

	if ($fp = fopen("$configfile", "w")) {
		fputs($fp, $config, strlen($config));
		fclose ($fp);
	}
	mosRedirect('index2.php?option=com_linkdirectory', _LD_SETTINGSAVE );

}

function CheckSecurityImages() {
	global $mosConfig_absolute_path;
	if (!file_exists($mosConfig_absolute_path."/administrator/components/com_securityimages/config.securityimages.php")){
		echo "<font color=\"red\"><strong>"._LD_NOTINSTALLED."</strong></font>";
	} else {
		echo "<font color=\"green\"><strong>"._LD_INSTALLED."</strong></font>";
	}
}
?>
