<?php
/**
 * @ H2N Link Directory 1.0.0 install.linkdirectory.php
 * @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
 * @
 * @ Link Directory 1.1 install.linkdirectory.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @
 * @ $Id: install.linkdirectory.php,v 1.6 2008/05/01 16:43:55 harry Exp $
 * @
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function com_install()
{
	global $database, $mosConfig_absolute_path;

	$errorMsg='';
	$database->setQuery( "SELECT id FROM #__components WHERE name= 'Link Directory'" );
	$id = $database->loadResult();

	//add new admin menu toolbar images
	$files = array ('import_f2.png','export_f2.png');
	foreach ($files as $file){
		$dest=$mosConfig_absolute_path.'/administrator/images/'.$file;
		$src=$mosConfig_absolute_path .'/administrator/components/com_linkdirectory/images/'.$file;
		if (! file_exists($dest)){
			$succeess=@copy($src, $dest);
			if (!$succeess) {
				$errorMsg.="<span class=\"error\">Warning: </span>Can't copy file $src to $dest<br />";
			}
		}
	}

	//main link
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/home.png' WHERE id='$id'");
	$database->query();

	//control panel
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/controlpanel.png' WHERE parent='$id' AND name = 'Control Panel'");
	$database->query();

	//category manager
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/categories.png' WHERE parent='$id' AND name = 'Category Manager'");
	$database->query();

	//weblink manager
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/globe4.png' WHERE parent='$id' AND name = 'Web Link Manager'");
	$database->query();

	//comment manager
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/content.png' WHERE parent='$id' AND name = 'Comment Manager'");
	$database->query();

	//configuration
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/config.png', admin_menu_link = 'option=com_linkdirectory&task=config&hidemainmenu=1' WHERE parent='$id' AND name = 'Configuration'");
	$database->query();

	//about me
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/credits.png' WHERE parent='$id' AND name = 'About Me'");
	$database->query();

	//import
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/backup.png' WHERE parent='$id' AND name = 'Import Web Links'");
	$database->query();

	//export
	$database->setQuery( "UPDATE #__components SET admin_menu_img = 'js/ThemeOffice/restore.png' WHERE parent='$id' AND name = 'Export Web Links'");
	$database->query();

	// update shema
	$database->setQuery( "ALTER TABLE #__ldcomment ADD `published` TINYINT( 1 ) NOT NULL , ADD `checked_out` INT( 11 ) NOT NULL , ADD `checked_out_time` DATETIME NOT NULL");
	$database->query();
	$databaseErrorNum = $database->getErrorNum();
	if ( ($databaseErrorNum != 0) && ( $databaseErrorNum != 1060) ) {
		$errorMsg.="<span class=\"error\">Warning: </span>Can't updating database: " . htmlspecialchars($database->getErrorMsg(),ENT_QUOTES) .'<br />';
	}	

	//add joomfish support files if joomfish was installed...
	if (file_exists($mosConfig_absolute_path."/administrator/components/com_joomfish/contentelements/content.xml")){
		@copy($mosConfig_absolute_path .'/administrator/components/com_linkdirectory/joomfish/linkdirectory_cats.xml', $mosConfig_absolute_path.'/administrator/components/com_joomfish/contentelements/linkdirectory_cats.xml');
		@copy($mosConfig_absolute_path .'/administrator/components/com_linkdirectory/joomfish/linkdirectory_links.xml', $mosConfig_absolute_path.'/administrator/components/com_joomfish/contentelements/linkdirectory_links.xml');
	}

	echo $errorMsg;
}
?>
