<?php
/**
 * @ H2N Link Directory 1.0.0 export.class.php
 * @ Copyright (C) 2008 Harry Klein - joomla.neschke.eu
 * @
 * @ Link Directory 1.1 export.class.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 **/

//define direct access
define( '_VALID_MOS', 1 );

// *** Send HTTP header ( dowloadable file )
header('Content-Type: application/x-msdownload');
header('Content-Disposition: attachment; filename="bookmark.html"');

$path = preg_replace("!(\\\)!i","/",dirname(__FILE__));
define('_LD_ABSOLUTE_PATH', str_replace("/administrator/components/com_linkdirectory","",$path));
define('_LD_BACKEND_PATH', $path );

require_once( "../../../globals.php" );
require_once( "../../../configuration.php" );
require_once( _LD_ABSOLUTE_PATH . "/includes/joomla.php" );

require_once( _LD_BACKEND_PATH.'/linkdirectory.class.php' );

if (file_exists(_LD_BACKEND_PATH.'/language/'.$mosConfig_lang.'.php')){
	include(_LD_BACKEND_PATH.'/language/'.$mosConfig_lang.'.php');
}else{
	include(_LD_BACKEND_PATH.'/language/english.php');
}


// *****************************************
// *** Export Categories (with sub-cats) ***
// *****************************************

function export($cat, $depth) {
	global $database;

	$output  = str_repeat(' ', $depth * 4);
	$output .= '<DT><H3 FOLDED ADD_DATE="' . time() .  '">' . $cat->title . '</H3>' . "\n";
	$output .= str_repeat(' ', $depth * 4);
	if ($cat->description) {
		$output .= '<DD>' .$cat->description."\n";
	}
	$output .= str_repeat(' ', $depth * 4);
	$output .= '<DL><P>' . "\n";

	$database->setQuery( "SELECT *"
	. "\n FROM #__ldlinks"
	. "\n WHERE catid = $cat->id"
	. "\n AND published=1"
	. "\n ORDER BY title"
	);
	$bookmarks = $database->loadObjectList();

	foreach ($bookmarks as $bookmark) {
		$output .= str_repeat(' ', ($depth + 1) * 4);
		$output .= '<DT><A HREF="' . $bookmark->url . '" ADD_DATE="'. time() . '" LAST_VISIT="0" LAST_MODIFIED="0">';
		$output .= $bookmark->title . '</A>' . "\n";
		if ($bookmark->description) {
			$output .= str_repeat(' ', ($depth + 1) * 4);
			$output .= '<DD>' .$bookmark->description."\n";
		}
	}

	$database->setQuery( "SELECT *"
	. "\n FROM #__ldcats"
	. "\n WHERE parent_id = $cat->id"
	. "\n ORDER BY name"
	);
	$categories = $database->loadObjectList();

	foreach ($categories as $cat) {
		$output .= export($cat, $depth + 1);
	}

	$output .= str_repeat(' ', $depth * 4) . '</DL><P>'  . "\n";
	return $output;
}

$catid 	= intval( mosGetParam( $_REQUEST, 'catid', 0 ) );
$output = '<!DOCTYPE NETSCAPE-Bookmark-file-1>'."\n";

$output .= '
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<TITLE>Bookmarks</TITLE>
<H1>Bookmarks</H1>'."\n";

$output .= '<DL><P>'."\n";

$database->setQuery( "SELECT *"
. "\n FROM #__ldcats"
. "\n WHERE parent_id = $catid"
. "\n ORDER BY name"
);
$categories = $database->loadObjectList();

foreach ($categories as $cat) {  // Export sub-cats
	$output .= export($cat, 1);
}


$database->setQuery( "SELECT *"
. "\n FROM #__ldlinks"
. "\n WHERE catid= $catid AND published=1"  // ?? Restrict scope to published, but why not all ?
. "\n ORDER BY title"
);
$bookmarks = $database->loadObjectList();

foreach ($bookmarks as $bookmark) {    // export "Root Category" bookmarks
	$output .= str_repeat(' ', (1) * 4);  // Indentation
	$output .= '<DT><A HREF="' . $bookmark->url . '" ADD_DATE="'. time() . '" LAST_VISIT="0" LAST_MODIFIED="0">';
	$output .= $bookmark->title;
	$output .= '</A>' . "\n";
	$output .= str_repeat(' ', (1) * 4);  // Indentation
	$output .= '<DD>' .$bookmark->description."\n";
}

$output .= '</DL><P>'."\n";

echo $output;

?>